> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sinancode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen Image 2.0

> Qwen Image 2.0 高速版、テキストから画像生成と画像編集に対応、自由な解像度と複数画像出力（1-6枚）をサポート。

[アリババクラウド](https://www.aliyun.com)の Qwen Image 2.0 高速版モデルを使用して画像を生成します。

**モデルの特徴:**

* **自由解像度** - 自由な幅と高さをサポート、総ピクセル数は 512x512 から 2048x2048 まで
* **複数画像出力** - 1回のリクエストで1〜6枚の画像を生成
* **テキストから画像＆画像編集** - テキストから画像生成と画像編集の両方のモードをサポート


## OpenAPI

````yaml /ja/openapi.yaml POST /generate/bailian/qwen-image-2.0
openapi: 3.0.0
info:
  contact:
    email: support@sinancode.com
    name: API Support
    url: https://sinancode.com/support
  description: AIモデルタスクスケジューリングプラットフォーム API
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  termsOfService: https://sinancode.com/terms-of-service
  title: TikTomato API
  version: '1.0'
servers:
  - url: https://api.sinancode.com/v1
    description: 本番サーバー
security: []
paths:
  /generate/bailian/qwen-image-2.0:
    post:
      tags:
        - public
      summary: Qwen Image 2.0 画像生成
      description: Qwen Image 2.0 高速版、テキストから画像生成と画像編集に対応、自由な解像度と複数画像出力（1-6枚）をサポート。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/bailian.CreateQwenImage20TaskRequest'
        description: タスクパラメータ
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CreateTaskResponse'
        '400':
          description: パラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '401':
          description: 認証エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
      security:
        - AccessToken: []
components:
  schemas:
    bailian.CreateQwenImage20TaskRequest:
      properties:
        images:
          description: |-
            入力画像リスト（オプション、0-3枚、画像編集モード用）
            省略するとテキストから画像生成モード、指定すると画像編集モード
          items:
            type: string
          maxItems: 3
          type: array
        'n':
          description: 出力画像数（オプション、1-6、デフォルト 1）
          maximum: 6
          minimum: 1
          type: integer
        negative_prompt:
          description: ネガティブプロンプト（オプション、最大 500 文字）
          maxLength: 500
          type: string
        prompt:
          description: プロンプト（必須、最大 800 文字）
          maxLength: 800
          minLength: 1
          type: string
        prompt_extend:
          description: プロンプトのスマートリライトを有効にする（オプション、デフォルト true）
          type: boolean
        seed:
          description: ランダムシード（オプション、範囲 0-2147483647）
          maximum: 2147483647
          minimum: 0
          type: integer
        size:
          description: >-
            画像サイズ（オプション、デフォルト 2048*2048）

            qwen-image-2.0 は自由な縦横サイズに対応、総ピクセル数は 512*512 から 2048*2048 の範囲

            推奨解像度：2688*1536(16:9) 1536*2688(9:16) 2048*2048(1:1) 2368*1728(4:3)
            1728*2368(3:4)
          type: string
      required:
        - images
        - prompt
      type: object
    dto.CreateTaskResponse:
      properties:
        task_id:
          description: タスクID
          example: 01234567-89ab-cdef-0123-456789abcdef
          type: string
      required:
        - task_id
      type: object
    apierror.ErrorResponse:
      properties:
        error_code:
          description: '機械可読なエラーコード（例: TASK.INVALID_PARAMS）'
          type: string
        message:
          description: ユーザーフレンドリーなエラーメッセージ
          type: string
      type: object
  securitySchemes:
    AccessToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Tokenを使用して認証を行ってください

````